Subsidiaries
Get subsidiary companies.
View as MarkdownReturns a paginated list of subsidiary companies associated with the specified parent company.
Endpoint
GET /api/v1/companies/:company_id/subsidiariesParameters
| Parameter | Type | In | Description |
|---|---|---|---|
company_id | integer | path | The unique identifier of the company. |
page | integer | body | Page number (default: 1). |
limit | integer | body | Records per page (default: 100). |
Code Examples
Get subsidiaries
import requests
url = 'https://statsnet.co/api/v1/companies/12345/subsidiaries'
headers = {
'Authorization': 'Bearer sk_live_YOUR_KEY',
'Content-Type': 'application/json'
}
response = requests.get(url, headers=headers).json()
print(response)Response
Success response
{
"companies": [
{
"id": 100,
"identifier": "400500600",
"name": "Subsidiary Company LLP",
"name_en": "Subsidiary Company LLP"
}
],
"total": 1,
"pagination_total": 1,
"pagination_offset": 0
}Error Handling
Error response (403)
{
"status": 403,
"message": "access denied"
}Payment required (402)
{
"status": 402,
"message": "payment required"
}Quota exhausted (429)
{
"status": 429,
"message": "quota exhausted"
}